Name:           remind
Version:        03.01.06
Release:        1%{?dist}
Summary:        A sophisticated calendar and alarm program

Group:          Applications/Productivity
License:        GPLv2
URL:            http://www.roaringpenguin.com/en/penguin/openSourceProducts/remind
Source0:        http://www.roaringpenguin.com/files/download/remind-%{version}.tar.gz
Source1:        tkremind.desktop
Patch0:         remind-nostrip.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       tcl
BuildRequires:  desktop-file-utils

%description
Remind is a sophisticated calendar and alarm program. It includes the following
features:
  * A sophisticated scripting language
  * Plain-text, PostScript and HTML output
  * Timed reminders and pop-up alarms  

%package gui
Group:          Applications/Productivity
Summary:        A graphical front-end for remind using Tcl/Tk
Requires:       tk > 8.0
Requires:       remind = %{version}-%{release}
Requires:       tcllib

%description gui
The remind-gui package contains a (self-described) "cheesy" graphical front
end for Remind using Tcl/Tk.

%prep
%setup -q
# Convert remind man page to UTF8
pushd man
iconv -c -t UTF8 remind.1 > remind.1.utf8
%{__mv} remind.1.utf8 remind.1
popd
%patch0 -p1
pushd www
find . -type f -exec chmod -x {} \;
popd

%build
%configure
%{__make} %{?_smp_mflags}

%check
cd src
if ! make test; then
  set +x
  for f in `find .. -name \*.diff -type f -print`; do
    echo "TEST FAILURE: $f --"
    cat "$f"
    echo "-- $f result ends."
  done
  set -x
fi

%install
%{__rm} -rf $RPM_BUILD_ROOT
# This preserves timestamps.
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"

# Copy rem2html to /usr/bin.  Leave in the www directory also as it is used
# by the demo program there.
%{__install} -m 755 -p www/rem2html $RPM_BUILD_ROOT/usr/bin/

# Install desktop stuff.
desktop-file-install --vendor "fedora"             \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications  \
  --add-category "Office"                          \
  %{SOURCE1}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/rem2html
%{_bindir}/cm2rem.tcl
%{_bindir}/rem2ps
%{_bindir}/remind
%{_bindir}/rem
%{_mandir}/man1/cm2rem.1.gz
%{_mandir}/man1/rem2ps.1.gz
%{_mandir}/man1/remind.1.gz
%{_mandir}/man1/rem.1.gz

%doc COPYRIGHT docs/README.UNIX docs/WHATSNEW examples www

%files gui
%defattr(-,root,root,-)
%{_datadir}/applications/*
%{_bindir}/tkremind
%{_mandir}/man1/tkremind.1.gz

%changelog
* Wed Feb 28 2009 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.06-1
- Latest version refresh

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar 26 2008 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.04-1
- Updated to version 03.01.04

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 03.01.02-4
- Autorebuild for GCC 4.3

* Mon Jan 28 2008 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.02-3
- Copied rem2html to /usr/bin per bz #430502
- Using a few more macros in spec file

* Thu Sep 19 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.02-2
- Added tcllib requires per bz #290761

* Thu Sep 13 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.02-1
- Updated to version 03.01.02

* Thu Aug 23 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.01-1
- Updated to version 03.01.01
- Updated license tag to GPLv2

* Wed Aug 15 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.01.00-1
- Updated to version 03.01.00

* Wed May 23 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-3
- Fixed permissions on www/* to be 0644.

* Mon May 07 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-2
- Added www to documentation.  A sample web application I do not feel is
  suitable for inclusion into the actual RPM.

* Thu May 03 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-2
- Using integer only release numbers.
- Preserve timestamps on manpages.
- Added %check
- Removed README from documentation and added ACKNOWLEDGEMENTS

* Wed Apr 25 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-1.1
- Applied patch from Dan Young (dyoung@mesd.k12.or.us) to not strip binaries
  See: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=235802#c3
- Explicitly specifying man pages under %files to avoid duplication of
  tkremind.1 across subpackages
- Added README and COPYRIGHT

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-1
- Added .desktop file
- Initial release

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.5
- Convert remind.1 to UTF8

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.4
- Rebuild

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.3
- Rebuild

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.2
- Split into -gui sub-package.

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.1
- Initial release.
